Bug 104507 - rhnreg_ks --activationkey - Fail to parse HW on RHEL 3 BETA 2 Client
rhnreg_ks --activationkey - Fail to parse HW on RHEL 3 BETA 2 Client
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
unspecified
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-16 11:59 EDT by Sherif Abdelgawad
Modified: 2013-08-05 23:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-19 20:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sherif Abdelgawad 2003-09-16 11:59:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
rhnreg_ks fail with traceback, it seems it fail to probe and and parse the HW. 

Version-Release number of selected component (if applicable):
up2date-3.9.11-1 , redhat-release-2.9.5AS-7

How reproducible:
Always

Steps to Reproduce:
1.On a RHEL 3 Beta 2
2.Create Activation Key at RHN Sat
3.run rhnreg_ks --activationkey=xxxxxxxxxx
    

Actual Results:  [root@sherif root]# rhnreg_ks
--activationkey=xxxxxxxxxxxxxxxxxxxxxxxxxxxxx
<Fault 1: 'While running \'registration.add_hw_profile\': caught\nexceptions.Key
            Error : ("Don\'t know how to parse key `pcibus\'\'", {\'desc\':
\'"Intel Corp.|4             40BX/ZX/DX - 82443BX/ZX/DX Host bridge"\',
\'class\': \'OTHER\', \'pcibus\': \'0             \', \'pcidev\': \'0\',
\'detached\': \'0\', \'deviceId\': \'7190\', \'subVendorI             d\':
\'0000\', \'pciType\': \'1\', \'driver\': \'agpgart\', \'bus\': \'PCI\', \'    
        pcifn\': \'0\', \'subDeviceId\': \'0000\', \'vendorId\': \'8086\'})\n'>
Traceback (most recent call last):
  File "/usr/sbin/rhnreg_ks", line 320, in ?
    main()
  File "/usr/sbin/rhnreg_ks", line 302, in main
    rhnreg.sendHardware(systemId, hardwareList)
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 339, in sendHardware
    raise up2dateErrors.CommunicationError(f.faultString)
up2dateErrors.CommunicationError: Error communicating with server. The message w
            as:
While running 'registration.add_hw_profile': caught
exceptions.KeyError : ("Don't know how to parse key `pcibus''", {'desc': '"Intel
             Corp.|440BX/ZX/DX - 82443BX/ZX/DX Host bridge"', 'class': 'OTHER',
'pcibus': '0             ', 'pcidev': '0', 'detached': '0', 'deviceId': '7190',
'subVendorId': '0000', 'p             ciType': '1', 'driver': 'agpgart', 'bus':
'PCI', 'pcifn': '0', 'subDeviceId': '0             000', 'vendorId': '8086'})


Expected Results:  Expected result is to register successfully

Additional info:

Running :

rhnreg_ks --activationkey=xxxxxxxxxxxxxxxxxxx --nohardware

This works fine.
Comment 2 Josef Komenda 2003-10-07 12:08:38 EDT
Punting to rhn290
Comment 3 Greg DeKoenigsberg 2003-10-19 20:59:44 EDT
We will not backport this fix to the 2.5 tree.

Note You need to log in before you can comment on or make changes to this bug.